- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDTLookAt Class Reference

A COLLADA 'look-at' transformation. More...

`#include <FCDTransform.h>`

Inheritance diagram for FCDTLookAt:

List of all members.

## Public Member Functions
| FCDTLookAt (FCDocument *document, FCDSceneNode *parent)
| Constructor: do not use directly.
virtual | ~FCDTLookAt ()
| Destructor.
virtual Type | GetType () const
| Retrieves the transformation class type for the transformation.
FCDParameterAnimatableLookAt & | GetLookAt ()
| Retrieves the look-at value for this transformation.
const FCDParameterAnimatableLookAt & | GetLookAt () const
| See above.
void | SetLookAt (const FMLookAt &_lookAt)
| Sets the look-at value for this transformation.
FMVector3 & | GetPosition ()
| Retrieves the viewer's position.
const FMVector3 & | GetPosition () const
| See above.
void | SetPosition (const FMVector3 &pos)
| Sets the viewer's position.
void | SetPosition (float x, float y, float z)
| Sets the viewer's position.
FMVector3 & | GetTarget ()
| Retrieves the position that the viewer is looking at.
const FMVector3 & | GetTarget () const
| See above.
void | SetTarget (const FMVector3 &target)
| Sets the position that the viewer is looking at.
void | SetTarget (float x, float y, float z)
| Sets the position that the viewer is looking at.
FMVector3 & | GetUp ()
| Retrieves the viewer's up-vector.
const FMVector3 & | GetUp () const
| See above.
void | SetUp (const FMVector3 &up)
| Sets the viewer's up-vector.
void | SetUp (float x, float y, float z)
| Sets the viewer's up-vector.
virtual FMMatrix44 | ToMatrix () const
| Converts the transformation into a matrix.
virtual bool | IsAnimated () const
| Retrieves whether the transformation is animated.
FCDAnimated * | GetAnimated ()
| Retrieves the animated element for the transformation matrix.
virtual const FCDAnimated * | GetAnimated () const
| See above.
virtual FCDTransform * | Clone (FCDTransform *clone=NULL) const
| Creates a copy of a look-at transformation.

## Detailed Description

A COLLADA 'look-at' transformation.

This transformation type fully defines a position and an orientation with a 3D world by using three 3D vectors: the viewer's position, the position that the viewer is looking at, and the up-vector for camera rolls.

## Constructor & Destructor Documentation

FCDTLookAt::FCDTLookAt | ( | FCDocument * | document,
|  | FCDSceneNode * | parent
| ) |

  | Constructor: do not use directly. Instead, use the FCDSceneNode::AddTransform function with the transformation type: LOOKAT. Parameters:
  | document | The COLLADA document that owns the transformation.
  | parent | The visual scene node that contains the transformation.

## Member Function Documentation

virtual FCDTransform* FCDTLookAt::Clone | ( | FCDTransform * | clone = `NULL` | ) | const`[virtual]`

  | Creates a copy of a look-at transformation. Parameters:
  | clone | The transform that will be the clone.
Returns: The cloned transformation. Implements FCDTransform.

FCDAnimated* FCDTLookAt::GetAnimated | ( |  | ) | `[inline]`

| Retrieves the animated element for the transformation matrix. FCollada now supports animated look-at transforms. See also: FCDAnimatedCustom Returns: the animated element, containing 9 values. Reimplemented from FCDTransform.

FCDParameterAnimatableLookAt& FCDTLookAt::GetLookAt | ( |  | ) | `[inline]`

| Retrieves the look-at value for this transformation. Returns: The local look-at.

FMVector3& FCDTLookAt::GetPosition | ( |  | ) | `[inline]`

| Retrieves the viewer's position. Returns: The viewer's position.

FMVector3& FCDTLookAt::GetTarget | ( |  | ) | `[inline]`

| Retrieves the position that the viewer is looking at. Returns: The viewer's target.

virtual Type FCDTLookAt::GetType | ( |  | ) | const`[inline, virtual]`

| Retrieves the transformation class type for the transformation. Returns: The class type: LOOKAT. Implements FCDTransform.

FMVector3& FCDTLookAt::GetUp | ( |  | ) | `[inline]`

| Retrieves the viewer's up-vector. Returns: The up-vector.

virtual bool FCDTLookAt::IsAnimated | ( |  | ) | const`[virtual]`

| Retrieves whether the transformation is animated. FCollada now supports animated look-at transforms, through the FCDAnimatedCustom. Returns: Whether the transform is animated. Implements FCDTransform.

void FCDTLookAt::SetLookAt | ( | const FMLookAt & | _lookAt | ) | `[inline]`

  | Sets the look-at value for this transformation. Parameters:
  | _lookAt | A look-at.

void FCDTLookAt::SetPosition | ( | float | x,
|  | float | y,
|  | float | z
| ) | `[inline]`

  | Sets the viewer's position. Parameters:
  | x | The x-component of the position.
  | y | The y-component of the position.
  | z | The z-component of the position.

void FCDTLookAt::SetPosition | ( | const FMVector3 & | pos | ) | `[inline]`

  | Sets the viewer's position. Parameters:
  | pos | The viewer's position.

void FCDTLookAt::SetTarget | ( | float | x,
|  | float | y,
|  | float | z
| ) | `[inline]`

  | Sets the position that the viewer is looking at. Parameters:
  | x | The x-component of the target position.
  | y | The y-component of the target position.
  | z | The z-component of the target position.

void FCDTLookAt::SetTarget | ( | const FMVector3 & | target | ) | `[inline]`

  | Sets the position that the viewer is looking at. Parameters:
  | target | The target position.

void FCDTLookAt::SetUp | ( | float | x,
|  | float | y,
|  | float | z
| ) | `[inline]`

  | Sets the viewer's up-vector. Parameters:
  | x | The x-component of the up-vector.
  | y | The y-component of the up-vector.
  | z | The z-component of the up-vector.

void FCDTLookAt::SetUp | ( | const FMVector3 & | up | ) | `[inline]`

  | Sets the viewer's up-vector. Parameters:
  | up | The up-vector.

virtual FMMatrix44 FCDTLookAt::ToMatrix | ( |  | ) | const`[virtual]`

| Converts the transformation into a matrix. Returns: The transformation matrix. Implements FCDTransform.

The documentation for this class was generated from the following file:

- FCDocument/FCDTransform.h